<?php
/*------------------------------------------------------------------------
# plg_fake_content - Fake Content
# ------------------------------------------------------------------------
# author    Francisco Javier Félix Belmonte
# copyright Copyright (C) 2014 www.inode64.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.inode64.com
# Technical Support:  http://www.inode64.com/Codigo/Joomla/Componente-CONTENT_FAKE-para-la-creacion-de-contenidos-falsos.html
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

require_once (JPATH_SITE.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_contentfake'.DIRECTORY_SEPARATOR.'models'.DIRECTORY_SEPARATOR.'contentfake.php');

class plgContentFake_Content extends JPlugin {

        public function onContentPrepare($context, &$article, &$params, $limitstart=0) {

                if (strpos($article->text, 'fakeimage') === false) return true;

                preg_match_all('/{fakeimage\s+(.*?)}/i', $article->text, $matches);
                $model = new ContentFakeModelContentFake;

                if (count($matches[1])) {
                        foreach ($matches[1] as $i => $fakeimage) {
                                $image = explode(':', $fakeimage);
				switch (count($image)) {
			        case 0:
					$width = 100;
					$height = 100;
					$color = "999999";
					break;
			        case 1:
					$width = $image[0];
					$height = $width;
					$color = "999999";
					break;
			        case 2:
					$width = $image[0];
					$height = $width;
					$color = $image[1];
					break;
			        default:
					$width = $image[0];
					$height = $image[1];
					$color = $image[2];
					break;
				}
                                $output = "<img src='" . $model->create_image($width, $height, $color) . "' alt='" . $width . 'x' . $height ."'>";
                                $article->text = str_replace($matches[0][$i], $output, $article->text);
                        }
                }


                return '';
        }

}
